Bug 1956239 - [abrt] pipewire: main_arena(): pipewire-media-session killed by SIGSEGV
Summary: [abrt] pipewire: main_arena(): pipewire-media-session killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6c49ceafd4a002b8e562b7c0d79...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 09:33 UTC by Luya Tshimbalanga
Modified: 2021-05-07 01:03 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.27-1.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-07 01:03:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (71.00 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: core_backtrace (2.23 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: cpuinfo (2.44 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: dso_list (750 bytes, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: environ (521 bytes, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: exploitable (82 bytes, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: limits (1.29 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: maps (4.00 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: mountinfo (2.85 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: open_fds (5.08 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2021-05-03 09:33 UTC, Luya Tshimbalanga
no flags Details

Description Luya Tshimbalanga 2021-05-03 09:33:33 UTC
Description of problem:
On reboot and login

Version-Release number of selected component:
pipewire-0.3.26-4.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/pipewire.service
cmdline:        /usr/bin/pipewire-media-session
crash_function: main_arena
executable:     /usr/bin/pipewire-media-session
journald_cursor: s=0606e89c182b4fe5a8b0d506b533ceba;i=3273;b=f5b33347dd7841abb8caf7cb99ddaa1b;m=30e9b4f;t=5c169770f16e7;x=872c30fe36875730
kernel:         5.11.16-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 main_arena
 #1 handle_timer_event at ../spa/plugins/support/dbus.c:184
 #2 source_timer_func at ../spa/plugins/support/loop.c:527
 #3 loop_iterate at ../spa/plugins/support/loop.c:308
 #4 pw_main_loop_run at ../src/pipewire/main-loop.c:158

Comment 1 Luya Tshimbalanga 2021-05-03 09:33:38 UTC
Created attachment 1778876 [details]
File: backtrace

Comment 2 Luya Tshimbalanga 2021-05-03 09:33:40 UTC
Created attachment 1778877 [details]
File: core_backtrace

Comment 3 Luya Tshimbalanga 2021-05-03 09:33:40 UTC
Created attachment 1778878 [details]
File: cpuinfo

Comment 4 Luya Tshimbalanga 2021-05-03 09:33:41 UTC
Created attachment 1778879 [details]
File: dso_list

Comment 5 Luya Tshimbalanga 2021-05-03 09:33:42 UTC
Created attachment 1778880 [details]
File: environ

Comment 6 Luya Tshimbalanga 2021-05-03 09:33:44 UTC
Created attachment 1778881 [details]
File: exploitable

Comment 7 Luya Tshimbalanga 2021-05-03 09:33:46 UTC
Created attachment 1778882 [details]
File: limits

Comment 8 Luya Tshimbalanga 2021-05-03 09:33:46 UTC
Created attachment 1778883 [details]
File: maps

Comment 9 Luya Tshimbalanga 2021-05-03 09:33:48 UTC
Created attachment 1778884 [details]
File: mountinfo

Comment 10 Luya Tshimbalanga 2021-05-03 09:33:50 UTC
Created attachment 1778885 [details]
File: open_fds

Comment 11 Luya Tshimbalanga 2021-05-03 09:33:51 UTC
Created attachment 1778886 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2021-05-06 09:37:34 UTC
FEDORA-2021-41bc11dd99 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-41bc11dd99

Comment 13 Fedora Update System 2021-05-07 01:03:44 UTC
FEDORA-2021-41bc11dd99 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.